lp:ubuntu/vivid-proposed/fribidi

Created by Ubuntu Package Importer on 2014-10-29 and last modified on 2014-10-31
Get this branch:
bzr branch lp:ubuntu/vivid-proposed/fribidi
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

14. By أحمد المحمودي (Ahmed El-Mahmoudy) on 2014-10-31

* debian/control: Bumped Standards-Version to 3.9.6
* debian/copyright: Switched to machine readable format.
* Pass --enable-malloc to configure to avoid crashes when using fribidi in
  multiple libraries concurrently.
  (LP: #1376331)
* Update my email address.

13. By أحمد المحمودي (Ahmed El-Mahmoudy) on 2014-08-31

* debian/control:
  + Removed Baruch Even from Uploads since he retired. (Closes: #760015)
  + Bumped Standards-Version to 3.9.5

12. By أحمد المحمودي (Ahmed El-Mahmoudy) on 2013-12-09

* New upstream release.
* Removed autotools-dev since upstream updated libtools autohelper files.

11. By Matthias Klose on 2013-12-07

Fix build failure with modern automake.

10. By Matthias Klose on 2013-12-03

Use dh-autoreconf instead of autotools-dev.

9. By أحمد المحمودي (Ahmed El-Mahmoudy) on 2013-05-07

* Upload to unstable
* debian/libfribidi0.symbols: Added Build-Depends-Package field.
* debian/control:
  ** Updated Standards-Version to 3.9.4
  ** Use canonical URIs in VCS-* fields
* Use autotools_dev to update outdated autotools helper files.

8. By أحمد المحمودي (Ahmed El-Mahmoudy) on 2012-03-28

* Split fribidi utility in a separate package (Closes: #665790)
* debian/control: Updated Standards-Version to 3.9.3

7. By أحمد المحمودي (Ahmed El-Mahmoudy) on 2012-02-18

* debian/fribidi.1: fix manpage formatting (Closes: #477212)
* debian/control:
  + Updated my email address
  + XC-Package-Type -> Package-Type
* Add multiarch support
  + Bumped compat level to 9
  + debian/control:
    - Bumped debhelper Build-Dep to 9~
    - Added Pre-Depends: ${misc:Pre-Depends} for libfribidi0
    - Added Multi-Arch: same for libfribidi0
  + *.install: usr/lib/ -> /usr/lib/*/
* Bumped Standards-Version to 3.9.2
  + Drop .la file as per Policy 10.2

6. By أحمد المحمودي (Ahmed El-Mahmoudy) on 2010-02-04

* New upstream release. (Closes: #462612)
* Switch to 3.0 (quilt) source format.
* Added LGPL2 copyright notice in debian/copyright.
* Removed fribidi-config.1 since fribidi-config is removed from upstream.
* Added THANKS file to libfribidi0.docs.
* Added debian/tmp/usr/share/man/man3/*.3 to libfribid-dev.manpages.
* debian/rules:
  + Simplify rules file.
  + remove empty manpages.
* debian/compat: Bump to 7.
* debian/control:
  + Bump debhelper version to >= 7.0.50~ in Build-Depends.
  + Bump Standards-Version to 3.8.4
  + Enhanced extended description for libfribidi0 and libfribidi-dev.
  + Added ${misc:Depends} to Depends fields.
  + Added myself to uploaders.
  + Added Vcs-* fields.
* debian/fribidi.1: Fix a typo.
* Added manpages.diff patch to fix a couple of hyphen issues in
  fribidi_remove_bidi_marks.3
* Added typos.diff patch to fix typo in fribidi help information.
* Use dh_install instead of dh_movefiles: Rename debian/*.files to
  debian/*.install

5. By Baruch Even <email address hidden> on 2007-12-29

[ Baruch Even ]
* New upstream version 0.10.8
  - Upgrade from unicode standard version 4.1 to 5.0

[ Lior Kaplan ]
* Update debian/control so packages are binNMU safe.
  See http://wiki.debian.org/binNMU for more info.

[ Baruch Even ]
* Do not ignore errors for make clean
* Move Homepage from description to control field
* Updated to 0.10.9, former version failed its build tests (Closes: #428067)
* Update Standards-Version to 3.7.3, no changes needed

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/vivid/fribidi
This branch contains Public information 
Everyone can see this information.

Subscribers